Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.impl
Class PollingServerLoadMonitor

    java.lang.Object
      org.directwebremoting.impl.AbstractServerLoadMonitor
          org.directwebremoting.impl.PollingServerLoadMonitor

All Implemented Interfaces:
  ServerLoadMonitor

    public class PollingServerLoadMonitor

extends AbstractServerLoadMonitor
implements ServerLoadMonitor

A default implementation of ServerLoadMonitor

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Constructor Summary
`PollingServerLoadMonitor()`

Method Summary
`long` | `getConnectedTime()` What's the longest time that we should wait before asking the client to reconnect?
`int` | `getDisconnectedTime()` Controller for poll times.
`void` | `setTimeToNextPoll(int disconnectedTime)` Accessor for the disconnected time.

Methods inherited from class org.directwebremoting.impl.AbstractServerLoadMonitor
`shutdown, shutdownRandomWaitControllers, threadWaitEnding, threadWaitStarting`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.directwebremoting.extend.ServerLoadMonitor
`shutdown, threadWaitEnding, threadWaitStarting`

Constructor Detail

### PollingServerLoadMonitor

    public PollingServerLoadMonitor()

Method Detail

### getConnectedTime

    public long getConnectedTime()

  Description copied from interface: `ServerLoadMonitor`
  What's the longest time that we should wait before asking the client to reconnect?

  Specified by:
    `getConnectedTime` in interface `ServerLoadMonitor`
  Returns:
    The maximum client connected time

### getDisconnectedTime

    public int getDisconnectedTime()

  Description copied from interface: `ServerLoadMonitor`
  Controller for poll times.

  TODO: We should probably get rid of this and leave it to PollHandler?

  Specified by:
    `getDisconnectedTime` in interface `ServerLoadMonitor`
  Returns:
    How long should this client wait until it next polls?

### setTimeToNextPoll

    public void setTimeToNextPoll(int disconnectedTime)

  Accessor for the disconnected time.

  Parameters:
    `disconnectedTime` - How long should clients spend disconnected

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD